## php-phpdocumentor-reflection-common 2.2.0

=== Makefile ===
.PHONY: install-phive
install-phive:
	mkdir tools; \
	wget -O tools/phive.phar https://github.com/phar-io/phive/releases/download/0.13.2/phive-0.13.2.phar; \
	wget -O tools/phive.phar.asc https://github.com/phar-io/phive/releases/download/0.13.2/phive-0.13.2.phar.asc; \
	gpg --keyserver pool.sks-keyservers.net --recv-keys 0x9D8A98B29B2D5D79; \
	gpg --verify tools/phive.phar.asc tools/phive.phar; \
	chmod +x tools/phive.phar

.PHONY: setup
setup: install-phive
	docker run -it --rm -v${PWD}:/opt/project -w /opt/project phpdoc/phar-ga:latest php tools/phive.phar install --force-accept-unsigned

.PHONY: phpcs
phpcs:
	docker run -it --rm -v${PWD}:/opt/project -w /opt/project phpdoc/phpcs-ga:latest -s

.PHONY: phpcbf
phpcbf:
	docker run -it --rm -v${PWD}:/opt/project -w /opt/project phpdoc/phpcs-ga:latest phpcbf

.PHONY: phpstan
phpstan:
	docker run -it --rm -v${PWD}:/opt/project -w /opt/project phpdoc/phpstan-ga:latest analyse src --no-progress --configuration phpstan.neon

.PHONY: psalm
psalm:
	docker run -it --rm -v${PWD}:/opt/project -w /opt/project php:7.2 tools/psalm --show-info=true
.PHONY: test
test:
	docker run -it --rm -v${PWD}:/opt/project -w /opt/project php:7.2 tools/phpunit

.PHONY: pre-commit-test
pre-commit-test: test phpcs phpstan psalm

## php-phpdocumentor-reflection-common 1.0

=== debian/changelog ===
php-phpdocumentor-reflection-common (1.0-2build1) xenial; urgency=medium

  * No-change rebuild against php 7

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 21 Feb 2016 06:55:30 +0000

php-phpdocumentor-reflection-common (1.0-2) unstable; urgency=medium

  * Move homemade autoload.php into Common directory

 -- David Prévot <taffit@debian.org>  Sat, 13 Feb 2016 21:32:26 -0400

php-phpdocumentor-reflection-common (1.0-1) unstable; urgency=medium

  * Update Standards-Version to 3.9.7

 -- David Prévot <taffit@debian.org>  Mon, 08 Feb 2016 21:06:39 -0400

php-phpdocumentor-reflection-common (0.3-1) unstable; urgency=low

  * Initial release (new php-phpdocumentor-reflection-docblock dependency)

 -- David Prévot <taffit@debian.org>  Sun, 31 Jan 2016 14:43:44 -0400

=== debian/control ===
Source: php-phpdocumentor-reflection-common
Section: php
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Uploaders: David Prévot <taffit@debian.org>,
           Prach Pongpanich <prachpub@gmail.com>
Build-Depends: debhelper (>= 9), phpab, phpunit, pkg-php-tools (>= 1.29~)
Standards-Version: 3.9.7
Homepage: http://phpdoc.org/
Vcs-Git: git://anonscm.debian.org/pkg-php/php-phpdocumentor-reflection-common.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-php/php-phpdocumentor-reflection-common.git

Package: php-phpdocumentor-reflection-common
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Recommends: ${phpcomposer:Debian-recommend}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Description: Common reflection classes - phpDocumentor component
 ${phpcomposer:description}.
 .
 phpDocumentor makes it possible to generate documentation from PHP source code.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with phpcomposer

override_dh_auto_build:
	dh_auto_build
	mkdir --parent src/Common
	phpab --output src/Common/autoload.php src

override_dh_auto_clean:
	dh_auto_clean
	rm -rf Common build

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	phpunit --bootstrap src/Common/autoload.php
else
	@echo "** tests disabled"
endif

override_dh_installchangelogs:
	dh_installchangelogs $(CURDIR)/debian/upstream/changelog

get-orig-source:
	uscan --force --verbose --rename

=== debian/tests/control ===
Test-Command: phpunit --bootstrap /usr/share/php/phpDocumentor/Reflection/Common/autoload.php
Restrictions: rw-build-tree
Depends: @, phpunit

## php-phpdocumentor-reflection-common 1.0.1

=== debian/changelog ===
php-phpdocumentor-reflection-common (1.0.1-1) unstable; urgency=medium

  [ Jon Dufresne ]
  * Add gitattributes file

  [ Jaapio ]
  * Allow fqsen with utf-8 chars

  [ David Prévot ]
  * Drop testsuite removed upstream
  * Update Standards-Version to 4.1.0

 -- David Prévot <taffit@debian.org>  Sun, 24 Sep 2017 06:52:52 -1000

php-phpdocumentor-reflection-common (1.0-3) unstable; urgency=medium

  * Rebuild with recent pkg-php-tools for the PHP 7.0 transition

 -- David Prévot <taffit@debian.org>  Wed, 09 Mar 2016 18:59:15 -0400

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: php-phpdocumentor-reflection-common
 Section: php
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
+Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
 Uploaders: David Prévot <taffit@debian.org>,
            Prach Pongpanich <prachpub@gmail.com>
-Build-Depends: debhelper (>= 9), phpab, phpunit, pkg-php-tools (>= 1.29~)
-Standards-Version: 3.9.7
+Build-Depends: debhelper (>= 9), phpab, pkg-php-tools (>= 1.29~)
+Standards-Version: 4.1.0
 Homepage: http://phpdoc.org/
 Vcs-Git: git://anonscm.debian.org/pkg-php/php-phpdocumentor-reflection-common.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-php/php-phpdocumentor-reflection-common.git

=== debian/rules ===
--- 
+++ 
@@ -11,13 +11,6 @@
 	dh_auto_clean
 	rm -rf Common build
 
-override_dh_auto_test:
-ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	phpunit --bootstrap src/Common/autoload.php
-else
-	@echo "** tests disabled"
-endif
-
 override_dh_installchangelogs:
 	dh_installchangelogs $(CURDIR)/debian/upstream/changelog

## php-phpdocumentor-reflection-common 2.0.0~alpha2

=== debian/changelog ===
php-phpdocumentor-reflection-common (2.0.0~alpha2-1) experimental; urgency=medium

  * Upload alpha to experimental

  [ Chuck Burgess ]
  * update copyright, license blurb, and remove php version from docblocks;

  [ David Prévot ]
  * Update copyright (years)
  * Move project repository to salsa.d.o
  * Update Standards-Version to 4.1.3

 -- David Prévot <taffit@debian.org>  Tue, 06 Mar 2018 15:25:03 -1000

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Uploaders: David Prévot <taffit@debian.org>,
            Prach Pongpanich <prachpub@gmail.com>
 Build-Depends: debhelper (>= 9), phpab, pkg-php-tools (>= 1.29~)
-Standards-Version: 4.1.0
+Standards-Version: 4.1.3
 Homepage: http://phpdoc.org/
-Vcs-Git: git://anonscm.debian.org/pkg-php/php-phpdocumentor-reflection-common.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-php/php-phpdocumentor-reflection-common.git
+Vcs-Git: https://salsa.debian.org/php-team/pear/php-phpdocumentor-reflection-common.git
+Vcs-Browser: https://salsa.debian.org/php-team/pear/php-phpdocumentor-reflection-common
 
 Package: php-phpdocumentor-reflection-common
 Architecture: all

## php-phpdocumentor-reflection-common 2.0.0

=== debian/changelog ===
php-phpdocumentor-reflection-common (2.0.0-2build4) focal; urgency=medium

  * Rebuild against newly bootstrapped phpunit.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 24 Nov 2019 09:25:55 +0100

php-phpdocumentor-reflection-common (2.0.0-2build3) focal; urgency=medium

  * No change rebuild against bootstrapped phpunit

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 23 Nov 2019 23:30:07 +0100

php-phpdocumentor-reflection-common (2.0.0-2) unstable; urgency=medium

  * Upload to unstable in sync with php-phpdocumentor-type-resolver
  * Set upstream metadata fields: Repository.
  * Drop versioned dependency satisfied in (old)stable
  * Update Standards-Version to 4.4.1

 -- David Prévot <taffit@debian.org>  Mon, 30 Sep 2019 18:07:47 -1000

php-phpdocumentor-reflection-common (2.0.0-1) experimental; urgency=medium

  * Document gbp import-ref usage
  * Use debian/clean for directories
  * Adapt packaging to restored tests
  * Drop get-orig-source target
  * Use https in debian/
  * Use debhelper-compat 12
  * Update Standards-Version to 4.3.0

 -- David Prévot <taffit@debian.org>  Sun, 30 Jun 2019 23:08:06 -1000

php-phpdocumentor-reflection-common (2.0.0~beta1-1) experimental; urgency=medium

  * Update Standards-Version to 4.2.0

 -- David Prévot <taffit@debian.org>  Thu, 09 Aug 2018 13:58:51 +0800

php-phpdocumentor-reflection-common (2.0.0~alpha3-1) experimental; urgency=medium

  * Update Standards-Version to 4.1.4

 -- David Prévot <taffit@debian.org>  Wed, 20 Jun 2018 14:55:48 -1000

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,12 @@
 Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
 Uploaders: David Prévot <taffit@debian.org>,
            Prach Pongpanich <prachpub@gmail.com>
-Build-Depends: debhelper (>= 9), phpab, pkg-php-tools (>= 1.29~)
-Standards-Version: 4.1.3
-Homepage: http://phpdoc.org/
+Build-Depends: debhelper-compat (= 12),
+               phpab,
+               phpunit,
+               pkg-php-tools
+Standards-Version: 4.4.1
+Homepage: https://phpdoc.org/
 Vcs-Git: https://salsa.debian.org/php-team/pear/php-phpdocumentor-reflection-common.git
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-phpdocumentor-reflection-common

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with phpcomposer

override_dh_auto_build:
	dh_auto_build
	mkdir --parent src/Common
	phpab --output src/Common/autoload.php src

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	phpunit --bootstrap src/Common/autoload.php
else
	@echo "** tests disabled"
endif

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	phpunit --bootstrap src/Common/autoload.php
else
	@echo "** tests disabled"
endif

override_dh_installchangelogs:
	dh_installchangelogs $(CURDIR)/debian/upstream/changelog

## php-phpdocumentor-reflection-common 2.2.0

=== debian/changelog ===
php-phpdocumentor-reflection-common (2.2.0-4) unstable; urgency=medium

  * Modernize PHPUnit syntax

 -- David Prévot <taffit@debian.org>  Mon, 17 Feb 2025 18:25:54 +0100

php-phpdocumentor-reflection-common (2.2.0-3) unstable; urgency=medium

  * Make provider classes static (PHPUnit 11 fix) (Closes: #1070586)
  * Update Standards-Version to 4.7.0

 -- David Prévot <taffit@debian.org>  Sat, 18 May 2024 10:46:29 +0200

php-phpdocumentor-reflection-common (2.2.0-2) unstable; urgency=medium

  * Fix d/watch to match updated GitHub URL
  * Set Rules-Requires-Root: no.
  * Use DEP-14 branch name
  * Mark package as Multi-Arch: foreign
  * Use dh 13 and dh-sequence-phpcomposer instead of --with phpcomposer
  * Install /u/s/pkg-php-tools/autoloaders file
  * Update Standards-Version to 4.6.1

 -- David Prévot <taffit@debian.org>  Mon, 27 Jun 2022 06:39:51 +0200

php-phpdocumentor-reflection-common (2.2.0-1) unstable; urgency=medium

  [ Jaapio ]
  * Add php 8 to build matrix

 -- David Prévot <taffit@debian.org>  Mon, 29 Jun 2020 15:53:08 -1000

php-phpdocumentor-reflection-common (2.1.0-1) unstable; urgency=medium

  * Set upstream metadata fields:
    Bug-Database, Bug-Submit, Repository, Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.
  * Use debhelper-compat 13
  * Simplify override_dh_auto_test

 -- David Prévot <taffit@debian.org>  Sat, 30 May 2020 11:20:44 -1000

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,15 @@
 Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
 Uploaders: David Prévot <taffit@debian.org>,
            Prach Pongpanich <prachpub@gmail.com>
-Build-Depends: debhelper-compat (= 12),
-               phpab,
-               phpunit,
-               pkg-php-tools
-Standards-Version: 4.4.1
+Build-Depends: debhelper-compat (= 13), dh-sequence-phpcomposer, phpab, phpunit
+Standards-Version: 4.7.0
 Homepage: https://phpdoc.org/
 Vcs-Git: https://salsa.debian.org/php-team/pear/php-phpdocumentor-reflection-common.git
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-phpdocumentor-reflection-common
+Rules-Requires-Root: no
 
 Package: php-phpdocumentor-reflection-common
+Multi-Arch: foreign
 Architecture: all
 Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
 Recommends: ${phpcomposer:Debian-recommend}

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_build:
	mkdir --parent src/Common
	phpab --output src/Common/autoload.php src

override_dh_auto_test:
	phpunit --bootstrap src/Common/autoload.php

override_dh_installchangelogs:
	dh_installchangelogs $(CURDIR)/debian/upstream/changelog

=== debian/watch ===
version=4
options=uversionmangle=s/-?([^\d.])\.?/~$1/i;tr/A-Z/a-z/ \
https://github.com/phpDocumentor/ReflectionCommon/tags \
.*/v?(\d.+).tar.gz
